<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WidgetDeviceControl extends Model
{
    use HasFactory;

      protected $fillable = [
        'widget_id',
        'device_control_id',
    ];

    public $timestamps = true;

    public function widget()
    {
        return $this->belongsTo(Widget::class);
    }

    public function deviceControl()
    {
        return $this->belongsTo(DeviceControl::class);
    }
}
